---
spec:
  inputs:
    architecture:
      options:
        - amd64
        - arm64
    name_product:
    tag_runner:
      options:
        - saas-linux-2xlarge-amd64
        - saas-linux-large-amd64
        - saas-linux-large-arm64
        - saas-linux-medium-amd64
        - saas-linux-medium-amd64-gpu-standard
        - saas-linux-medium-arm64
        - saas-linux-small-amd64
        - saas-linux-xlarge-amd64
        - saas-macos-medium-m1
        - saas-windows-medium-amd64
---
.Container manifest:
  dependencies: []
  extends:
    - .Rules unscheduled default branch manual otherwise
  image:
    # TODO: Use Podman image that supports partial pulls
    name: quay.io/podman/stable:latest
  interruptible: true
  rules:
    - if: $CI_PIPELINE_SOURCE != "trigger"
  needs: []
  script: _template/.gitlab-ci/container-manifest/container-manifest_script.sh
  tags:
    - $[[ inputs.tag_runner ]]
Container manifest - 🧑‍🔬:
  extends:
    - .Container manifest
  variables:
    TARGET: development
Container manifest - ⭐⭐:
  extends:
    - .Container manifest
  variables:
    TARGET: production
include:
  - local: .gitlab-ci/_rules.gitlab-ci.yml
variables:
  ARCHITECTURE: amd64
  NAME_PRODUCT: $[[ inputs.name_product ]]
  # Operating system of the container. See `GOOS` in https://tip.golang.org/src/internal/platform/supported.go".
  OS: 'linux'
  REGISTRY_IMAGE_BASE: '${CI_REGISTRY_IMAGE}/'
  REGISTRY_IMAGE_PRODUCT: '${CI_REGISTRY_IMAGE}/'
workflow:
  rules:
    - if: $CI_PIPELINE_SOURCE == "schedule"
      when: never
    - if: $CI_COMMIT_BRANCH == $CI_DEFAULT_BRANCH
